<?php
/*****************************************************************************
 *
 * Auteur   : Boris | NordPay Financial LTD (contact: boris@nord-pay.com)
 * Version  : 1.0
 * Date     : 12/02/2013
 *
 * Copyright (C) 2013 Boris LARIUSHIN
 * 
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 *
 *****************************************************************************/
?>
<?php
include_once("config.php");
include_once("../../../classes/Commande.class.php");	
include_once("../../../fonctions/divers.php");

$chaine = ''; 
$reponse = '';
$donnees = '';
  
//$url = parse_url($serveur);        

function verification_ip($ip, $list){
	$list = explode('|',$list);
	return (in_array($ip, $list));
}

$reponse = $_POST['etat'];

$errors = '';
$ref = '';
$response ='';

// Getting PSC data...
if (function_exists('curl_exec'))
{
	// curl ready
	$ch = curl_init();

	// If the above fails, then try the url with a trailing slash (fixes problems on some servers)
	if (!$ch)
		$errors .= "Curl method with back slash failed.";
	else
	{
		curl_setopt($ch, CURLOPT_URL, "http://www.paysite-cash.com/ip_list.txt");
		//curl_setopt($ch, CURLOPT_REQUEST, 1);
		curl_setopt($ch, CURLOPT_SSL_VERIFYHOST,0);
		curl_setopt($ch, CURLOPT_USERAGENT, "Billing Confirmation");
		curl_setopt($ch, CURLOPT_TIMEOUT,60);
		curl_setopt($ch, CURLOPT_RETURNTRANSFER,1);
		curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, FALSE);

		$response = curl_exec($ch);
		$curl_error = curl_error($ch);
		$curl_info = curl_getinfo($ch);
		curl_close($ch);
	}
} else {
	$response = file_get_contents("http://www.paysite-cash.com/ip_list.txt");
}

if (!empty($response)) {
	
	if (!verification_ip($_SERVER['REMOTE_ADDR'], $response)){}

	$etat 		= $_POST['etat'];
	$divers 	= $_POST['divers'];

	$url = base64_decode($divers);
	$key	= '';
				
	if(!preg_match('/key\=([a-fA-F0-9]+)/',$url, $matches)){$errors = "#1";}
	$key	= $matches[1];

	if(!preg_match('/ref\=([0-9]+)/',$url, $matches)){$errors = "#2";}
	$ref	= $matches[1];

	if(!preg_match('/sk\=([^\&]+)/',$url, $matches)){$errors = "#3";}
	$sk	= $matches[1];

	if(!preg_match('/id_cart\=([0-9]+)/',$url, $matches)){$errors = "#4";}
	$id_cart	= $matches[1];

	if(!preg_match('/id_module\=([^\&]+)/',$url, $matches)){$errors = "#5";}
	$id_module	= $matches[1];

	if($key != md5("secret_key".(0)."".$ref)){
		$errors = "$key != ".md5('secret_key'.(0).''.$ref);
	}

	if(strstr($reponse, "ok")){

		$reference = $_POST['ref'];

		$commande = new Commande();
		$commande->charger_trans($reference);
		$commande->statut = 2;
		$commande->genfact();
		$commande->maj();

		ActionsModules::instance()->appel_module("confirmation", $commande);

	} else if (strstr($reponse, "ko")) {
		
		$reference = $_POST['ref'];

		$commande = new Commande();
		$commande->charger_trans($reference);
		$commande->statut = 5;

		$commande->maj();

		ActionsModules::instance()->appel_module("confirmation", $commande);
		
	} else if (strstr($reponse, "wait")) {
			
	/*	$reference = $_POST['ref'];

		$commande = new Commande();
		$commande->charger_trans($reference);
		$commande->statut = 3;

		$commande->maj();

		ActionsModules::instance()->appel_module("confirmation", $commande);
	*/
	} else {
		exit;	
	}
}
?>
